#
# spec file for package yast2-pkg-bindings-devel-doc
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-pkg-bindings-devel-doc
Version:        4.1.2
Release:        lp151.2.3.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-pkg-bindings-%{version}.tar.bz2
Prefix:         %_prefix

# same as in the main package (because we use the same configure.in.in)
BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  libxslt
BuildRequires:  libzypp-devel >= 14.29.0
BuildRequires:  yast2-core-devel
BuildRequires:  yast2-devtools >= 3.1.10

BuildArch:      noarch
Requires:       yast2-pkg-bindings = %{version}
Summary:        YaST2 - Documentation for yast2-pkg-bindings package
License:        GPL-2.0-only
Group:          Documentation/HTML

%description
This documenation package describes the package manager API (Pkg::
namespace) used in YaST scripts. The documentation is autogenerated
from the pkg-bindings sources.

%prep
%setup -n yast2-pkg-bindings-%{version}
# build only documentation, ignore all other directories
echo "doc" > SUBDIRS

%build
%yast_build

%install
%yast_install

%files
%defattr(-,root,root)
# do not use yast_docdir macro as it use wrong pkg name
%dir %{_datadir}/doc/packages/yast2-pkg-bindings
%doc %{_datadir}/doc/packages/yast2-pkg-bindings/xml
%exclude %{_datadir}/doc/packages/yast2-pkg-bindings/COPYING

%changelog
* Fri Aug 17 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
* Thu Oct 17 2013 jreidinger@suse.com
- remove usage of dropped y2doc generator
- 3.1.1
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Tue Jul 30 2013 yast-devel@opensuse.org
- version 3.0.0
* Fri Jun 14 2013 lslezak@suse.cz
- removed obsolete BuildRequires (blocxx, libgcrypt, doxygen,
  perl-XML-Writer)
* Mon Jan 28 2013 lslezak@suse.cz
- fixed documentation build (bnc#800692)
- 2.23.1
* Fri Nov 25 2011 coolo@suse.com
- avoid duplicated index.html in installed docs
* Fri May 16 2008 lslezak@suse.cz
- documented lock API
- 2.16.35
* Thu Apr  3 2008 ma@suse.de
- use repo name as mediaset label.
* Tue Mar 11 2008 coolo@suse.de
- devtools requires redudant prefix definition
* Wed Mar  5 2008 coolo@suse.de
- fixing spec file syntax
* Tue Dec 18 2007 lslezak@suse.cz
- updated generating of the documentation to the new source file
  layout
- 2.16.7
* Wed Oct  3 2007 mvidner@suse.cz
- Do not try to package COPYRIGHT.english, it is gone from
  devtools (#299144).
- 2.16.0
* Thu Jul 26 2007 lslezak@suse.cz
- Initial version
